org.eclipse.incquery.runtime.rete.recipes

## Interface RecipesPackage.Literals

- Enclosing interface:
    RecipesPackage

      public static interface RecipesPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each operation of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `AGGREGATOR_INDEXER_RECIPE` The meta object literal for the '`Aggregator Indexer Recipe`' class.
    `static org.eclipse.emf.ecore.EClass` | `AGGREGATOR_RECIPE` The meta object literal for the '`Aggregator Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `AGGREGATOR_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EReference` | `AGGREGATOR_RECIPE__PARENT` The meta object literal for the 'Parent' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `ALPHA_RECIPE` The meta object literal for the '`Alpha Recipe`' class.
    `static org.eclipse.emf.ecore.EClass` | `ANTI_JOIN_RECIPE` The meta object literal for the '`Anti Join Recipe`' class.
    `static org.eclipse.emf.ecore.EClass` | `BETA_RECIPE` The meta object literal for the '`Beta Recipe`' class.
    `static org.eclipse.emf.ecore.EReference` | `BETA_RECIPE__LEFT_PARENT` The meta object literal for the 'Left Parent' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `BETA_RECIPE__RIGHT_PARENT` The meta object literal for the 'Right Parent' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `CHECK_RECIPE` The meta object literal for the '`Check Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `CHECK_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EClass` | `CONSTANT_RECIPE` The meta object literal for the '`Constant Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `CONSTANT_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EAttribute` | `CONSTANT_RECIPE__CONSTANT_VALUES` The meta object literal for the 'Constant Values' attribute list feature.
    `static org.eclipse.emf.ecore.EClass` | `COUNT_AGGREGATOR_RECIPE` The meta object literal for the '`Count Aggregator Recipe`' class.
    `static org.eclipse.emf.ecore.EClass` | `EQUALITY_FILTER_RECIPE` The meta object literal for the '`Equality Filter Recipe`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `EQUALITY_FILTER_RECIPE__INDICES` The meta object literal for the 'Indices' attribute list feature.
    `static org.eclipse.emf.ecore.EClass` | `EVAL_RECIPE` The meta object literal for the '`Eval Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `EVAL_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EClass` | `EXISTENCE_JOIN_RECIPE` The meta object literal for the '`Existence Join Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `EXISTENCE_JOIN_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EClass` | `EXPRESSION_DEFINITION` The meta object literal for the '`Expression Definition`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `EXPRESSION_DEFINITION__EVALUATOR` The meta object literal for the 'Evaluator' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `EXPRESSION_ENFORCER_RECIPE` The meta object literal for the '`Expression Enforcer Recipe`' class.
    `static org.eclipse.emf.ecore.EReference` | `EXPRESSION_ENFORCER_RECIPE__EXPRESSION` The meta object literal for the 'Expression' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `EXPRESSION_ENFORCER_RECIPE__MAPPED_INDICES` The meta object literal for the 'Mapped Indices' map feature.
    `static org.eclipse.emf.ecore.EClass` | `FILTER_RECIPE` The meta object literal for the '`Filter Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `FILTER_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EDataType` | `INDEX` The meta object literal for the 'Index' data type.
    `static org.eclipse.emf.ecore.EClass` | `INDEXER_RECIPE` The meta object literal for the '`Indexer Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `INDEXER_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EReference` | `INDEXER_RECIPE__MASK` The meta object literal for the 'Mask' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `INEQUALITY_FILTER_RECIPE` The meta object literal for the '`Inequality Filter Recipe`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `INEQUALITY_FILTER_RECIPE__INEQUALS` The meta object literal for the 'Inequals' attribute list feature.
    `static org.eclipse.emf.ecore.EAttribute` | `INEQUALITY_FILTER_RECIPE__SUBJECT` The meta object literal for the 'Subject' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `INPUT_FILTER_RECIPE` The meta object literal for the '`Input Filter Recipe`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `INPUT_FILTER_RECIPE__INPUT_KEY` The meta object literal for the 'Input Key' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `INPUT_FILTER_RECIPE__KEY_ID` The meta object literal for the 'Key ID' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `INPUT_FILTER_RECIPE__MASK` The meta object literal for the 'Mask' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `INPUT_RECIPE` The meta object literal for the '`Input Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `INPUT_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EAttribute` | `INPUT_RECIPE__INPUT_KEY` The meta object literal for the 'Input Key' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `INPUT_RECIPE__KEY_ARITY` The meta object literal for the 'Key Arity' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `INPUT_RECIPE__KEY_ID` The meta object literal for the 'Key ID' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `JOIN_RECIPE` The meta object literal for the '`Join Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `JOIN_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EReference` | `JOIN_RECIPE__RIGHT_PARENT_COMPLEMENTARY_MASK` The meta object literal for the 'Right Parent Complementary Mask' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `MASK` The meta object literal for the '`Mask`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `MASK__SOURCE_ARITY` The meta object literal for the 'Source Arity' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `MASK__SOURCE_INDICES` The meta object literal for the 'Source Indices' attribute list feature.
    `static org.eclipse.emf.ecore.EClass` | `MULTI_PARENT_NODE_RECIPE` The meta object literal for the '`Multi Parent Node Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `MULTI_PARENT_NODE_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EReference` | `MULTI_PARENT_NODE_RECIPE__PARENTS` The meta object literal for the 'Parents' reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `PRODUCTION_RECIPE` The meta object literal for the '`Production Recipe`' class.
    `static org.eclipse.emf.ecore.EReference` | `PRODUCTION_RECIPE__MAPPED_INDICES` The meta object literal for the 'Mapped Indices' map feature.
    `static org.eclipse.emf.ecore.EAttribute` | `PRODUCTION_RECIPE__PATTERN` The meta object literal for the 'Pattern' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `PRODUCTION_RECIPE__PATTERN_FQN` The meta object literal for the 'Pattern FQN' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `PROJECTION_INDEXER_RECIPE` The meta object literal for the '`Projection Indexer Recipe`' class.
    `static org.eclipse.emf.ecore.EClass` | `RETE_NODE_RECIPE` The meta object literal for the '`Rete Node Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `RETE_NODE_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EAttribute` | `RETE_NODE_RECIPE__TRACE_INFO` The meta object literal for the 'Trace Info' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `RETE_RECIPE` The meta object literal for the '`Rete Recipe`' class.
    `static org.eclipse.emf.ecore.EReference` | `RETE_RECIPE__RECIPE_NODES` The meta object literal for the 'Recipe Nodes' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `SEMI_JOIN_RECIPE` The meta object literal for the '`Semi Join Recipe`' class.
    `static org.eclipse.emf.ecore.EClass` | `SINGLE_PARENT_NODE_RECIPE` The meta object literal for the '`Single Parent Node Recipe`' class.
    `static org.eclipse.emf.ecore.EReference` | `SINGLE_PARENT_NODE_RECIPE__PARENT` The meta object literal for the 'Parent' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `STRING_INDEX_MAP_ENTRY` The meta object literal for the '`String Index Map Entry`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `STRING_INDEX_MAP_ENTRY__KEY` The meta object literal for the 'Key' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `STRING_INDEX_MAP_ENTRY__VALUE` The meta object literal for the 'Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `TRANSITIVE_CLOSURE_RECIPE` The meta object literal for the '`Transitive Closure Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `TRANSITIVE_CLOSURE_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EClass` | `TRANSPARENT_RECIPE` The meta object literal for the '`Transparent Recipe`' class.
    `static org.eclipse.emf.ecore.EClass` | `TRIMMER_RECIPE` The meta object literal for the '`Trimmer Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `TRIMMER_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EReference` | `TRIMMER_RECIPE__MASK` The meta object literal for the 'Mask' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `UNIQUENESS_ENFORCER_RECIPE` The meta object literal for the '`Uniqueness Enforcer Recipe`' class.

- - ### Field Detail

    - #### RETE_RECIPE

          static final org.eclipse.emf.ecore.EClass RETE_RECIPE

      The meta object literal for the '`Rete Recipe`' class.
      See Also:
        `ReteRecipeImpl`, `RecipesPackageImpl.getReteRecipe()`

    - #### RETE_RECIPE__RECIPE_NODES

          static final org.eclipse.emf.ecore.EReference RETE_RECIPE__RECIPE_NODES

      The meta object literal for the 'Recipe Nodes' containment reference list feature.

    - #### RETE_NODE_RECIPE

          static final org.eclipse.emf.ecore.EClass RETE_NODE_RECIPE

      The meta object literal for the '`Rete Node Recipe`' class.
      See Also:
        `ReteNodeRecipeImpl`, `RecipesPackageImpl.getReteNodeRecipe()`

    - #### RETE_NODE_RECIPE__TRACE_INFO

          static final org.eclipse.emf.ecore.EAttribute RETE_NODE_RECIPE__TRACE_INFO

      The meta object literal for the 'Trace Info' attribute feature.

    - #### RETE_NODE_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation RETE_NODE_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.

    - #### SINGLE_PARENT_NODE_RECIPE

          static final org.eclipse.emf.ecore.EClass SINGLE_PARENT_NODE_RECIPE

      The meta object literal for the '`Single Parent Node Recipe`' class.
      See Also:
        `SingleParentNodeRecipeImpl`, `RecipesPackageImpl.getSingleParentNodeRecipe()`

    - #### SINGLE_PARENT_NODE_RECIPE__PARENT

          static final org.eclipse.emf.ecore.EReference SINGLE_PARENT_NODE_RECIPE__PARENT

      The meta object literal for the 'Parent' reference feature.

    - #### ALPHA_RECIPE

          static final org.eclipse.emf.ecore.EClass ALPHA_RECIPE

      The meta object literal for the '`Alpha Recipe`' class.
      See Also:
        `AlphaRecipeImpl`, `RecipesPackageImpl.getAlphaRecipe()`

    - #### MULTI_PARENT_NODE_RECIPE

          static final org.eclipse.emf.ecore.EClass MULTI_PARENT_NODE_RECIPE

      The meta object literal for the '`Multi Parent Node Recipe`' class.
      See Also:
        `MultiParentNodeRecipeImpl`, `RecipesPackageImpl.getMultiParentNodeRecipe()`

    - #### MULTI_PARENT_NODE_RECIPE__PARENTS

          static final org.eclipse.emf.ecore.EReference MULTI_PARENT_NODE_RECIPE__PARENTS

      The meta object literal for the 'Parents' reference list feature.

    - #### MULTI_PARENT_NODE_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation MULTI_PARENT_NODE_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.

    - #### UNIQUENESS_ENFORCER_RECIPE

          static final org.eclipse.emf.ecore.EClass UNIQUENESS_ENFORCER_RECIPE

      The meta object literal for the '`Uniqueness Enforcer Recipe`' class.
      See Also:
        `UniquenessEnforcerRecipeImpl`, `RecipesPackageImpl.getUniquenessEnforcerRecipe()`

    - #### PRODUCTION_RECIPE

          static final org.eclipse.emf.ecore.EClass PRODUCTION_RECIPE

      The meta object literal for the '`Production Recipe`' class.
      See Also:
        `ProductionRecipeImpl`, `RecipesPackageImpl.getProductionRecipe()`

    - #### PRODUCTION_RECIPE__MAPPED_INDICES

          static final org.eclipse.emf.ecore.EReference PRODUCTION_RECIPE__MAPPED_INDICES

      The meta object literal for the 'Mapped Indices' map feature.

    - #### PRODUCTION_RECIPE__PATTERN

          static final org.eclipse.emf.ecore.EAttribute PRODUCTION_RECIPE__PATTERN

      The meta object literal for the 'Pattern' attribute feature.

    - #### PRODUCTION_RECIPE__PATTERN_FQN

          static final org.eclipse.emf.ecore.EAttribute PRODUCTION_RECIPE__PATTERN_FQN

      The meta object literal for the 'Pattern FQN' attribute feature.

    - #### INDEXER_RECIPE

          static final org.eclipse.emf.ecore.EClass INDEXER_RECIPE

      The meta object literal for the '`Indexer Recipe`' class.
      See Also:
        `IndexerRecipeImpl`, `RecipesPackageImpl.getIndexerRecipe()`

    - #### INDEXER_RECIPE__MASK

          static final org.eclipse.emf.ecore.EReference INDEXER_RECIPE__MASK

      The meta object literal for the 'Mask' containment reference feature.

    - #### INDEXER_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation INDEXER_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.

    - #### PROJECTION_INDEXER_RECIPE

          static final org.eclipse.emf.ecore.EClass PROJECTION_INDEXER_RECIPE

      The meta object literal for the '`Projection Indexer Recipe`' class.
      See Also:
        `ProjectionIndexerRecipeImpl`, `RecipesPackageImpl.getProjectionIndexerRecipe()`

    - #### AGGREGATOR_INDEXER_RECIPE

          static final org.eclipse.emf.ecore.EClass AGGREGATOR_INDEXER_RECIPE

      The meta object literal for the '`Aggregator Indexer Recipe`' class.
      See Also:
        `AggregatorIndexerRecipeImpl`, `RecipesPackageImpl.getAggregatorIndexerRecipe()`

    - #### BETA_RECIPE

          static final org.eclipse.emf.ecore.EClass BETA_RECIPE

      The meta object literal for the '`Beta Recipe`' class.
      See Also:
        `BetaRecipeImpl`, `RecipesPackageImpl.getBetaRecipe()`

    - #### BETA_RECIPE__LEFT_PARENT

          static final org.eclipse.emf.ecore.EReference BETA_RECIPE__LEFT_PARENT

      The meta object literal for the 'Left Parent' containment reference feature.

    - #### BETA_RECIPE__RIGHT_PARENT

          static final org.eclipse.emf.ecore.EReference BETA_RECIPE__RIGHT_PARENT

      The meta object literal for the 'Right Parent' containment reference feature.

    - #### MASK

          static final org.eclipse.emf.ecore.EClass MASK

      The meta object literal for the '`Mask`' class.
      See Also:
        `MaskImpl`, `RecipesPackageImpl.getMask()`

    - #### MASK__SOURCE_INDICES

          static final org.eclipse.emf.ecore.EAttribute MASK__SOURCE_INDICES

      The meta object literal for the 'Source Indices' attribute list feature.

    - #### MASK__SOURCE_ARITY

          static final org.eclipse.emf.ecore.EAttribute MASK__SOURCE_ARITY

      The meta object literal for the 'Source Arity' attribute feature.

    - #### STRING_INDEX_MAP_ENTRY

          static final org.eclipse.emf.ecore.EClass STRING_INDEX_MAP_ENTRY

      The meta object literal for the '`String Index Map Entry`' class.
      See Also:
        `StringIndexMapEntryImpl`, `RecipesPackageImpl.getStringIndexMapEntry()`

    - #### STRING_INDEX_MAP_ENTRY__KEY

          static final org.eclipse.emf.ecore.EAttribute STRING_INDEX_MAP_ENTRY__KEY

      The meta object literal for the 'Key' attribute feature.

    - #### STRING_INDEX_MAP_ENTRY__VALUE

          static final org.eclipse.emf.ecore.EAttribute STRING_INDEX_MAP_ENTRY__VALUE

      The meta object literal for the 'Value' attribute feature.

    - #### INPUT_RECIPE

          static final org.eclipse.emf.ecore.EClass INPUT_RECIPE

      The meta object literal for the '`Input Recipe`' class.
      See Also:
        `InputRecipeImpl`, `RecipesPackageImpl.getInputRecipe()`

    - #### INPUT_RECIPE__INPUT_KEY

          static final org.eclipse.emf.ecore.EAttribute INPUT_RECIPE__INPUT_KEY

      The meta object literal for the 'Input Key' attribute feature.

    - #### INPUT_RECIPE__KEY_ID

          static final org.eclipse.emf.ecore.EAttribute INPUT_RECIPE__KEY_ID

      The meta object literal for the 'Key ID' attribute feature.

    - #### INPUT_RECIPE__KEY_ARITY

          static final org.eclipse.emf.ecore.EAttribute INPUT_RECIPE__KEY_ARITY

      The meta object literal for the 'Key Arity' attribute feature.

    - #### INPUT_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation INPUT_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.

    - #### CONSTANT_RECIPE

          static final org.eclipse.emf.ecore.EClass CONSTANT_RECIPE

      The meta object literal for the '`Constant Recipe`' class.
      See Also:
        `ConstantRecipeImpl`, `RecipesPackageImpl.getConstantRecipe()`

    - #### CONSTANT_RECIPE__CONSTANT_VALUES

          static final org.eclipse.emf.ecore.EAttribute CONSTANT_RECIPE__CONSTANT_VALUES

      The meta object literal for the 'Constant Values' attribute list feature.

    - #### CONSTANT_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation CONSTANT_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.

    - #### TRANSITIVE_CLOSURE_RECIPE

          static final org.eclipse.emf.ecore.EClass TRANSITIVE_CLOSURE_RECIPE

      The meta object literal for the '`Transitive Closure Recipe`' class.
      See Also:
        `TransitiveClosureRecipeImpl`, `RecipesPackageImpl.getTransitiveClosureRecipe()`

    - #### TRANSITIVE_CLOSURE_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation TRANSITIVE_CLOSURE_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.

    - #### FILTER_RECIPE

          static final org.eclipse.emf.ecore.EClass FILTER_RECIPE

      The meta object literal for the '`Filter Recipe`' class.
      See Also:
        `FilterRecipeImpl`, `RecipesPackageImpl.getFilterRecipe()`

    - #### FILTER_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation FILTER_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.

    - #### INEQUALITY_FILTER_RECIPE

          static final org.eclipse.emf.ecore.EClass INEQUALITY_FILTER_RECIPE

      The meta object literal for the '`Inequality Filter Recipe`' class.
      See Also:
        `InequalityFilterRecipeImpl`, `RecipesPackageImpl.getInequalityFilterRecipe()`

    - #### INEQUALITY_FILTER_RECIPE__SUBJECT

          static final org.eclipse.emf.ecore.EAttribute INEQUALITY_FILTER_RECIPE__SUBJECT

      The meta object literal for the 'Subject' attribute feature.

    - #### INEQUALITY_FILTER_RECIPE__INEQUALS

          static final org.eclipse.emf.ecore.EAttribute INEQUALITY_FILTER_RECIPE__INEQUALS

      The meta object literal for the 'Inequals' attribute list feature.

    - #### EQUALITY_FILTER_RECIPE

          static final org.eclipse.emf.ecore.EClass EQUALITY_FILTER_RECIPE

      The meta object literal for the '`Equality Filter Recipe`' class.
      See Also:
        `EqualityFilterRecipeImpl`, `RecipesPackageImpl.getEqualityFilterRecipe()`

    - #### EQUALITY_FILTER_RECIPE__INDICES

          static final org.eclipse.emf.ecore.EAttribute EQUALITY_FILTER_RECIPE__INDICES

      The meta object literal for the 'Indices' attribute list feature.

    - #### TRANSPARENT_RECIPE

          static final org.eclipse.emf.ecore.EClass TRANSPARENT_RECIPE

      The meta object literal for the '`Transparent Recipe`' class.
      See Also:
        `TransparentRecipeImpl`, `RecipesPackageImpl.getTransparentRecipe()`

    - #### TRIMMER_RECIPE

          static final org.eclipse.emf.ecore.EClass TRIMMER_RECIPE

      The meta object literal for the '`Trimmer Recipe`' class.
      See Also:
        `TrimmerRecipeImpl`, `RecipesPackageImpl.getTrimmerRecipe()`

    - #### TRIMMER_RECIPE__MASK

          static final org.eclipse.emf.ecore.EReference TRIMMER_RECIPE__MASK

      The meta object literal for the 'Mask' containment reference feature.

    - #### TRIMMER_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation TRIMMER_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.

    - #### EXPRESSION_DEFINITION

          static final org.eclipse.emf.ecore.EClass EXPRESSION_DEFINITION

      The meta object literal for the '`Expression Definition`' class.
      See Also:
        `ExpressionDefinitionImpl`, `RecipesPackageImpl.getExpressionDefinition()`

    - #### EXPRESSION_DEFINITION__EVALUATOR

          static final org.eclipse.emf.ecore.EAttribute EXPRESSION_DEFINITION__EVALUATOR

      The meta object literal for the 'Evaluator' attribute feature.

    - #### EXPRESSION_ENFORCER_RECIPE

          static final org.eclipse.emf.ecore.EClass EXPRESSION_ENFORCER_RECIPE

      The meta object literal for the '`Expression Enforcer Recipe`' class.
      See Also:
        `ExpressionEnforcerRecipeImpl`, `RecipesPackageImpl.getExpressionEnforcerRecipe()`

    - #### EXPRESSION_ENFORCER_RECIPE__EXPRESSION

          static final org.eclipse.emf.ecore.EReference EXPRESSION_ENFORCER_RECIPE__EXPRESSION

      The meta object literal for the 'Expression' containment reference feature.

    - #### EXPRESSION_ENFORCER_RECIPE__MAPPED_INDICES

          static final org.eclipse.emf.ecore.EReference EXPRESSION_ENFORCER_RECIPE__MAPPED_INDICES

      The meta object literal for the 'Mapped Indices' map feature.

    - #### CHECK_RECIPE

          static final org.eclipse.emf.ecore.EClass CHECK_RECIPE

      The meta object literal for the '`Check Recipe`' class.
      See Also:
        `CheckRecipeImpl`, `RecipesPackageImpl.getCheckRecipe()`

    - #### CHECK_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation CHECK_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.

    - #### EVAL_RECIPE

          static final org.eclipse.emf.ecore.EClass EVAL_RECIPE

      The meta object literal for the '`Eval Recipe`' class.
      See Also:
        `EvalRecipeImpl`, `RecipesPackageImpl.getEvalRecipe()`

    - #### EVAL_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation EVAL_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.

    - #### AGGREGATOR_RECIPE

          static final org.eclipse.emf.ecore.EClass AGGREGATOR_RECIPE

      The meta object literal for the '`Aggregator Recipe`' class.
      See Also:
        `AggregatorRecipeImpl`, `RecipesPackageImpl.getAggregatorRecipe()`

    - #### AGGREGATOR_RECIPE__PARENT

          static final org.eclipse.emf.ecore.EReference AGGREGATOR_RECIPE__PARENT

      The meta object literal for the 'Parent' containment reference feature.

    - #### AGGREGATOR_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation AGGREGATOR_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.

    - #### COUNT_AGGREGATOR_RECIPE

          static final org.eclipse.emf.ecore.EClass COUNT_AGGREGATOR_RECIPE

      The meta object literal for the '`Count Aggregator Recipe`' class.
      See Also:
        `CountAggregatorRecipeImpl`, `RecipesPackageImpl.getCountAggregatorRecipe()`

    - #### JOIN_RECIPE

          static final org.eclipse.emf.ecore.EClass JOIN_RECIPE

      The meta object literal for the '`Join Recipe`' class.
      See Also:
        `JoinRecipeImpl`, `RecipesPackageImpl.getJoinRecipe()`

    - #### JOIN_RECIPE__RIGHT_PARENT_COMPLEMENTARY_MASK

          static final org.eclipse.emf.ecore.EReference JOIN_RECIPE__RIGHT_PARENT_COMPLEMENTARY_MASK

      The meta object literal for the 'Right Parent Complementary Mask' containment reference feature.

    - #### JOIN_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation JOIN_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.

    - #### EXISTENCE_JOIN_RECIPE

          static final org.eclipse.emf.ecore.EClass EXISTENCE_JOIN_RECIPE

      The meta object literal for the '`Existence Join Recipe`' class.
      See Also:
        `ExistenceJoinRecipeImpl`, `RecipesPackageImpl.getExistenceJoinRecipe()`

    - #### EXISTENCE_JOIN_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation EXISTENCE_JOIN_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.

    - #### SEMI_JOIN_RECIPE

          static final org.eclipse.emf.ecore.EClass SEMI_JOIN_RECIPE

      The meta object literal for the '`Semi Join Recipe`' class.
      See Also:
        `SemiJoinRecipeImpl`, `RecipesPackageImpl.getSemiJoinRecipe()`

    - #### ANTI_JOIN_RECIPE

          static final org.eclipse.emf.ecore.EClass ANTI_JOIN_RECIPE

      The meta object literal for the '`Anti Join Recipe`' class.
      See Also:
        `AntiJoinRecipeImpl`, `RecipesPackageImpl.getAntiJoinRecipe()`

    - #### INPUT_FILTER_RECIPE

          static final org.eclipse.emf.ecore.EClass INPUT_FILTER_RECIPE

      The meta object literal for the '`Input Filter Recipe`' class.
      See Also:
        `InputFilterRecipeImpl`, `RecipesPackageImpl.getInputFilterRecipe()`

    - #### INPUT_FILTER_RECIPE__INPUT_KEY

          static final org.eclipse.emf.ecore.EAttribute INPUT_FILTER_RECIPE__INPUT_KEY

      The meta object literal for the 'Input Key' attribute feature.

    - #### INPUT_FILTER_RECIPE__KEY_ID

          static final org.eclipse.emf.ecore.EAttribute INPUT_FILTER_RECIPE__KEY_ID

      The meta object literal for the 'Key ID' attribute feature.

    - #### INPUT_FILTER_RECIPE__MASK

          static final org.eclipse.emf.ecore.EReference INPUT_FILTER_RECIPE__MASK

      The meta object literal for the 'Mask' containment reference feature.

    - #### INDEX

          static final org.eclipse.emf.ecore.EDataType INDEX

      The meta object literal for the 'Index' data type.
      See Also:
        `Integer`, `RecipesPackageImpl.getIndex()`